/* Add any global css for the theme here */

/* imports the base global style */
/* Commented this out because it is already included as part of the DSpace theme CDE 9/15/2022 */
/* @import '../../../styles/_global-styles.scss'; */

@font-face {
    font-family: 'greycliff_light';
    src: url('https://library.udel.edu/static/fonts/GreycliffCF-Light.woff') format('woff'),
         url('https://library.udel.edu/static/fonts/GreycliffCF-Light.woff2') format('woff2');
    font-display: auto;
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'greycliff_bold';
    src: url('https://library.udel.edu/static/fonts/GreycliffCF-Bold.woff') format('woff'),
         url('https://library.udel.edu/static/fonts/GreycliffCF-Bold.woff2') format('woff2');
    font-display: auto;
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'greycliff_semibold';
    src: url('https://library.udel.edu/static/fonts/GreycliffCF-DemiBold.woff') format('woff'),
         url('https://library.udel.edu/static/fonts/GreycliffCF-DemiBold.woff2') format('woff2');
    font-display: auto;
    font-weight: normal;
    font-style: normal;
}

:root {
    font-size: 75%;
    font-family: 'greycliff_light';
    --ds-navbar-link-color: var(--color-blue-med) !important;
    --ds-navbar-link-color-hover: var(--color-blue-med) !important;
    --color-gold-pale: #fdf0b2;
    --ds-home-news-link-color: var(--color-blue-med) !important;
    --ds-home-news-link-hover-color: var(--color-blue-dark) !important;
}

/* Temporary while UDSpace 7.6 is being migrated to 9.2 */
/*
#header-right .dropdownLogin {
    display: none;
}
*/

.list-group {
    --bs-list-group-active-border-color: #00203d !important;
    --bs-list-group-active-bg: #00203d !important;
}

body {
    font-family: 'greycliff_light';
    font-size: 1.4rem;
}

h1, h2, h3, h4 {
    font-family: 'greycliff_semibold';
    color: var(--color-blue-med);
    line-height: 1;
    margin-bottom: calc(0.75em + 0.5vmin);
    margin-bottom: 0.75em;
    letter-spacing: -0.025vmax;
}

h1 {
    font-size: calc(2rem + 0.5vw);
    margin-top: 10px;
}
h1.ng-tns-c300-8 {
    margin-top: 12px;
}
.item-page-title-field, .h4, .facet-filter h4, .setting-option h4, h1.header {
    font-family: 'greycliff_bold';
    text-transform: uppercase;
}
.facet-filter h4, .setting-option h4 {
    margin-top: 6px;
    color: #43515f !important;
}

h2 {
    font-family: 'greycliff_bold';
    font-size: 1.65em;
    text-transform: uppercase;
    padding-top: 3rem;
}
h2.simple-view-element-header {
    font-size: 1.5rem !important;
}

h3 {
    font-size: calc(1.25rem + 0.5vmin);
}

h4 {
    font-size: calc(1.25rem + 0.125vw);
}

h5 {
    font-family: 'greycliff_semibold';
}

.h6 {    /* This is a class, not the actual h6 heading */
    font-size: 1.4rem;
    font-family: 'greycliff_semibold';
    text-transform: none;
    color: #000;
}

a, [_nghost-dspace-angular-c376] a[_ngcontent-dspace-angular-c376] {
    color: var(--color-blue-med);
    font-family: 'greycliff_semibold';
}
[_nghost-dspace-angular-c376] a[_ngcontent-dspace-angular-c376] {
    text-decoration: underline;
}
a:hover {
    color: var(--color-blue-dark);
}
main a {
    text-decoration: underline;
}

img, p, iframe, table, thead, tbody, form, fieldset, legend {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    max-width: 100%;
}
#main-content {
    margin-top: 0;
}

/* home page banner area */
.display-3 {
    color: var(--color-blue-dark);
    text-shadow: none;
}

.lead {
    font-size: 1.5rem;
    font-family: 'greycliff_semibold';
    color: var(--color-blue-dark);
    text-shadow: none;
}

.lead-bold {
    font-size: 1.5rem;
    font-family: 'greycliff_bold';
    color: var(--color-blue-dark);
    text-shadow: none;
}

.jumbotron p {
    font-size: 1.5rem !important;
}

.jumbotron li {
    font-size: 1.5rem;
    font-family: 'greycliff_semibold';
    color: var(--color-blue-dark);
    text-shadow: none;
}
.jumbotron a {
    text-decoration: underline !important;
}

.my-4 {
    border-bottom-style: solid;
    border-bottom-color: #eee;
    border-bottom-width: 1px;
    padding-top: 1em;
    padding-bottom: 1.5em;
}

/* home background */
ds-home-page .background-image {
    color: #fff;
    background-color: var(--color-gold);
    position: relative;
    background-image: url(/assets/udspace/images/ud-bgbanner.jpg);
    background-size: cover;
}
ds-home-page .background-image .container:not(.breadcrumb) {
    background-color: var(--color-gold) !important;
}

/* enlarge body and input text to counteract :root 75% font size change */

.form-control,
.btn {
    font-size: 1.333rem;
}
.form-control {
    background: #eee;
    background: var(--color-gray-light);
    color: black;
    font-size: 1.25rem;
}
form .btn {
    font-size: 1.25rem;
}
.form-select {
/*    height: 34.31px;*/
/*    font-size: 1.333rem;*/
    background-color: var(--color-gray-light);
    font-size: 1.25rem;
}
.form-control:focus {
    outline-offset: 0 !important;
/*    background-color: #eee !important;*/
    background-color: var(--color-gray-light) !important;
    color: black !important;
}
.search-button, button[type='submit'] {
    padding-right: 15px;
    padding-left: 12px;
}
.search-button:focus, button[type='submit']:focus {
    outline-offset: 0;
}

@media (min-width: 768px) {
    ds-listable-object-component-loader .col-md-6:has(ds-item-page-abstract-field) {
        flex: 0 0 66.66666667%;
        max-width: 66.66666667%;
    }
}

ds-listable-object-component-loader .col-md-6:has(ds-item-page-abstract-field) {
    background: var(--color-gray-light);
    border-radius: 1rem;
    padding: 0 30px 30px;
}

input[placeholder="Search the repository ..."] {
    height: auto;
}


/* main body area gray */

.inner-wrapper {
/*    background: var(--color-gray-light); */
}

/* sets a min height for main to push footer off-screen during load */

main {
    min-height: 75vh;
}

.main-content {
/*    margin-top:1.3rem;*/
	z-index: 0;
}

/* "muted" text was too inaccessible in color */
.text-muted {
    color: var(--color-blue-dark) !important;
    font-style: italic;
}

/* logged in dspace sidebar header color */

.sidebar-section h4 {
    color: inherit;
}

/* set login box link colors */

.navbar :is(.login-container, ds-user-menu) a.dropdown-item {
    color: var(--color-blue-med);
}

.navbar :is(.login-container, ds-user-menu) a.dropdown-item:is(:focus, :hover) {
    color: var(--color-blue-dark);
}

/* Recent submissions list */
ds-item-list-element {
    
}
.text-success {
    color: rgb(48 160 56) !important;
}

/* override button styling */

.btn {
    background: var(--color-blue-med);
    color: #fff;
    font-family: greycliff_semibold;
    border-radius: 3em;
    padding-left: 12px;
    padding-right: 12px;
    text-decoration: none;
}
.btn-primary {
    padding: 4.5px 20px;
}
.btn-outline-secondary {
    border-color: var(--color-blue-med);
}
.btn-outline-secondary:hover,
.btn-outline-secondary:focus-visible {
    color: white;
    background: var(--color-blue-light);
    border-color: var(--color-blue-light);
}

#header-right .btn {
	background: none;
	color: var(--color-blue-med);
}
#header-right .dropdownLogin,
.dropdown-toggle[_ngcontent-dspace-angular-c99] {
    border-radius: 2px;
}
.dropdown-toggle[_ngcontent-dspace-angular-c99] {
    margin-right: 10px;
}
.form-control:focus, .page-link:focus {
    outline-color: var(--color-blue-med);
    outline-offset: 0 !important;
}
.page-link {
    color: var(--color-blue-dark);
}
.page-item.active .page-link {
    background-color: var(--color-blue-dark);
    border-color: var(--color-blue-dark);
}

ds-base-search-sidebar .ng-star-inserted .btn-secondary {
    border-radius: 3px;
}

ds-results-back-button .btn {
/*    background: none;*/
/*    color: var(--color-blue-dark);*/
    border: none;
    box-shadow: none;   
    border-radius: 10rem;
    margin-bottom: 15px !important;
}

.form-control {
    line-height: 1;
}

/* tree type lists with "arrow" expander buttons, we don't want these
   styled like our normal buttons */

.cdk-tree .btn {
    padding: 0 0.75em;
    background: initial;
    color: var(--color-blue-med);
    box-shadow: none;
}

button .expandButton {
    padding-left: 10px;
    padding-right: 10px;
}

.card .btn {
    margin-top: 12px;
    padding: 4px 18px;
}
.card ds-themed-type-badge {
    display: none;
}
.card-title {
    line-height: 1.2;
}
.card-body {
    background: var(--color-gray-light);
}
.card-body input {
    background: white;
}

.btn-primary {
    border-width: 0px;
}
.btn-primary:hover,
.btn-primary:focus-visible {
    background-color: var(--color-blue-light);
    color: white;
}
.btn-outline-primary:hover {
    background-color: var(--color-blue-light);
    color: white;
}
.btn-outline-primary {
    border-width: 0px;
    padding: 4.5px 16px;
}
.btn:disabled, .btn.disabled {
/*    background: var(--bs-light);*/
/*    border: 1px solid var(--color-blue-med);*/
/*    color: #8d8d8d;*/
    border: 1px solid;
}
.input-group-append .btn {
    border: 1px solid var(--color-blue-med);
}
.btn-danger {
    background: #cf4444;
}
#ds-drag-and-drop-uploader1 .btn,
ds-file-dropzone-no-uploader .btn-link {
    padding: 0 12px !important;
    margin-left: 8px !important;
}
#ds-drag-and-drop-uploader1 .btn:hover,
ds-file-dropzone-no-uploader .btn-link:hover {
    text-decoration: none;
    background: var(--color-blue-dark);
    color: white;
}
.nav-link {
    color: var(--color-blue-med);
}
.nav-link:hover {
    background: var(--color-blue-med);
    color: white;
}
.nav-tabs .nav-link {
    padding-bottom: 7px; 
    text-decoration: none;
}

/** admin **/
ds-edit-collection .card-body,
ds-edit-item-page .card-body {
    background: white;
}
ds-edit-collection .card-body > .h4:first-child,
ds-bulk-access #settings .card-body > .h4:first-child,
ds-edit-item-page .card-body > .h4:first-child {
    padding-top: 0;
    font-size: 20px;
    margin-bottom: 8px;
}
ds-edit-collection .card-body .flex-shrink-0>.btn,
ds-edit-collection ds-access-control-form-container .card .btn,
ds-bulk-access #settings .card-body .flex-shrink-0>.btn,
ds-bulk-access #settings ds-access-control-form-container .card .btn,
ds-edit-item-page ds-access-control-form-container .card .btn,
ds-edit-item-page .card-body .flex-shrink-0>.btn {
    margin-top: 0;
}
ds-edit-collection ds-collection-metadata .btn-outline-secondary {
    background: white;
    color: var(--color-blue-med);
}
ds-edit-collection ds-collection-metadata form .space-children-mr {
    display: flex;
    justify-content: flex-end;
}
ds-edit-collection ds-collection-metadata .space-children-mr>button {
    font-size: 1.33rem;
}
ds-edit-collection ds-collection-metadata .space-children-mr>button[type='submit'] {
    padding-left: 15px;
}
ds-edit-collection .container h2:first-child,
ds-bulk-access #settings .container h2:first-child,
ds-edit-item-page .container h2:first-child {
    padding-top: 0;
}
.btn-outline-danger {
    background: #cf4444;
    border-color: #cf4444;
}
ds-edit-collection ds-access-control-form-container .card .btn {
    padding: 4.5px 16px;
}
ds-edit-collection ds-access-control-form-container .card .btn:has(.fa-trash) {
    border-color: #cf4444;
    padding: 4.5px 12px;
}
ds-edit-collection ds-collection-authorizations>.container:has(ds-resource-policies) {
    padding: 0 !important;
}
ds-edit-collection ds-resource-policies table>tbody,
ds-epeople-registry table>tbody,
ds-groups-registry table>tbody,
ds-edit-item-page table>tbody {
    font-size: 15px;
}
.btn.btn-outline-success {
    --bs-btn-color: #5a7c26;
    --bs-btn-border-color: #5a7c26;
}
ds-edit-collection ds-resource-policies table>tbody .btn-group>.btn,
ds-epeople-registry table>tbody .btn-group>.btn,
ds-groups-registry table>tbody .btn-group>.btn,
ds-edit-item-page table>tbody .btn-group>.btn,
ds-edit-item-page .btn-group>.btn {
/*    border: 1px solid white;*/
    padding: 3px 8px 4px;
    font-size: 14px;
    background: initial;
    padding: 3px 6px;
    border: 1px solid;
    border-color: var(--bs-btn-border-color);
    color: var(--bs-btn-color);
    border-radius: inherit;
}
ds-edit-collection ds-resource-policies table>tbody .btn-group>.btn:hover,
ds-epeople-registry table>tbody .btn-group>.btn:hover,
ds-groups-registry table>tbody .btn-group>.btn:hover,
ds-edit-item-page table>tbody .btn-group>.btn:hover,
ds-edit-item-page .btn-group>.btn:hover {
    color: var(--bs-btn-hover-color);
    text-decoration: none;
    background-color: var(--bs-btn-hover-bg);
    border-color: var(--bs-btn-hover-border-color);
}
ds-edit-collection ds-resource-policies .space-children-mr>button {
    padding: 4px 12px !important;
}

/* notification page */
ds-admin-notifications-publication-claim-page .btn-group>.btn span.badge.bg-info {
    position: unset;
    padding: 1px 4px;
    display: flex;
    font-size: 11px;
    line-height: 1;
}
ds-admin-notifications-publication-claim-page .btn-group>.btn {
    display: flex;
    padding: 8px 12px;
    gap: 4px;
    font-size: 15px;
    align-items: center;
}
/* access control */
ds-epeople-registry .input-group-append .btn,
ds-groups-registry .input-group-append .btn {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}
ds-epeople-registry .form-select {
    font-size: 13px;
}
ds-groups-registry h2#search {
    font-size: 20px;
    padding-top: 10px;
}
.accordion-item>.accordion-header .accordion-button .btn {
    background: transparent;
    color: var(--color-blue-med);
}
.accordion-item>.accordion-header .accordion-button .btn:focus {
    outline: 0 !important;
}
ds-bulk-access .nav-pills .nav-link.active, 
ds-bulk-access .nav-pills .show>.nav-link {
    text-decoration: none;
}
ds-bulk-access #settings .card-body {
    background: white;
}
ds-bulk-access #settings .container {
    padding: 0;
}
/* admin search page */
ds-admin-search-page ds-item-admin-search-result-actions-element .space-children-mr,
ds-admin-workflow-page ds-workflow-item-admin-workflow-actions-element .space-children-mr {
    margin-top: 10px !important;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
}
ds-admin-search-page ds-item-admin-search-result-actions-element .space-children-mr a:hover,
ds-admin-workflow-page ds-workflow-item-admin-workflow-actions-element .space-children-mr a:hover {
    text-decoration: none !important;
}
/* processes overview */
ds-process-overview .badge {
    display: inline-block;
}
/* workflow */
ds-admin-workflow-page .workflow-badge>span.badge.bg-info {
    position: unset;
    display: inline-block;
}
/* health */
ds-health-page .accordion-item>.accordion-header .accordion-button>div {
    align-items: center;
}
ds-health-page .accordion-body .collapse-toggle button {
    background: transparent;
    color: var(--color-blue-med);
}



/* list blocks on list pages */
main .list-unstyled {
    background-color: #eee;
    background-color: var(--color-gray-light);
    margin-top: 1rem;
    margin-bottom: 1.5rem;
    border-radius: 5px;
/*    padding-top: 1rem;*/
/*    padding-bottom: 1rem;*/
/*    padding-left: 1rem;*/
}
[_ngcontent-dspace-angular-c66].list-unstyled {
    padding: 1rem;
}
ds-top-level-community-list [_ngcontent-dspace-angular-c66].list-unstyled li {
    border: 0;
    padding: 1rem;
}

main .list-unstyled li {
    padding: 1.5rem 1rem;
    position: relative;
    border-bottom: 1px solid #eee;
    border-bottom: 1px solid var(--color-gray-light);
    margin-bottom: 0px !important;
    margin-top: 0px !important;
    border-bottom: 1px solid white;
    text-decoration: none;
}
main ds-pagination .list-unstyled li a {
    text-decoration: none;
}
main ds-pagination .list-unstyled li a:hover {
    text-decoration: underline;
}

main .list-unstyled li:last-of-type {
    border-bottom: none;
}

ul[aria-labelledby*="pagination-control_results-per-page"],
ul[aria-labelledby*="pagination-control_results-per-page"] li,
ul[aria-labelledby*="pagination-control_sort-direction"],
ul[aria-labelledby*="pagination-control_sort-direction"] li {
    padding: 0;   
}
ul[aria-labelledby*="pagination-control_sort-direction"] {
    margin-bottom: 0;
}
#paginationControlsDropdownMenu {
    padding-bottom: 0;
}
#paginationControlsDropdownMenu .dropdown-header {
    color: black;
    font-size: 1.25rem;
    padding-bottom: 0;
}
.page-item .page-link {
    background: var(--bs-light);
    text-decoration: none;
}
.page-item:first-child .page-link {
    border-top-left-radius: 10rem;
    border-bottom-left-radius: 10rem;
    padding-left: 12px;
}
.page-item:last-child .page-link {
    border-top-right-radius: 10rem;
    border-bottom-right-radius: 10rem;
    padding-right: 12px;
}
.page-link:hover {
    color: white;
    background-color: var(--color-blue-light);
    border-color: var(--color-blue-light);
}

/* "item" badge on list pages */
ds-badges {
    height: 10px;
}
ds-type-badge {
    height: 0;
    display: block;
}
span.badge.bg-info {
    right: 20px;
    top: 16px;
    position: absolute;
    background-color: var(--color-blue-dark) !important;
    color: white;
    font-family: 'greycliff_semibold';
    /* border-radius: 2em; */
    padding: 0.333em 0.667em;
}

/* list view title font size and right margin to allow for "item" tag */
.lead.item-list-title {
    font-size: 20px;
  	display: block;
  	margin-right: 3em;
    line-height: 1.75rem;
    margin-bottom: 1rem;
    text-decoration: none;
}
a.lead.item-list-title:hover {
    text-decoration: underline;
}

/* list group */
.list-group-item+.list-group-item,
.list-group-item.active {
    text-decoration: none;
}
.list-group-item+.list-group-item:hover {
    background: var(--color-gray-light);
}

/* prev and next buttons overflow bounding box */
main .list-unstyled + div {
    display: inline-block;
    width: 100%;
}


[_ngcontent-dspace-angular-c161].simple-view-element-body ds-pagination .file-section.row {
    background: var(--color-gray-light);
    padding: 20px 10px;
    border-radius: 1rem;
}
[_ngcontent-dspace-angular-c161].simple-view-element-body ds-pagination .pagination-info {
    font-size: 15px;
}



/* full view */
ds-full-item-page .table-responsive {
    border: 1px solid var(--color-gray-med);
    border-radius: 1rem;
}
ds-full-item-page .table-responsive>table {
    margin: 0;
}
ds-full-item-page .simple-view-element-body .h5 {
    font-size: 18px;
}
ds-full-item-page .simple-view-element-body .pagination-info {
    font-size: 14px;
}
ds-full-item-page .simple-view-element-body ds-pagination .file-section {
    background: var(--color-gray-light);
    padding: 20px;
    margin: 0 -1px;
    border-radius: 0.5rem;
}
ds-full-item-page h2.simple-view-element-header {
    font-size: 22px !important;
}


/* remove "expander buttons" on overflow text in list views,
   modified css to just show the overflow by default instead */
	[class*="clamp-default"]  .content {
/*    	overflow: visible;*/
    	max-height: unset;
        font-size: 15px;
	}

	[class*="clamp-default"] .content:after {
    	display: none;
	}

/* results list */
ds-item-search-result-list-element>.row {
    justify-content: center;
}
ds-recent-item-list .list-unstyled {
    padding: 15px 0 !important;
}
.expandButton, .collapseButton {
    font-size: 12px;
    padding: 2px 8px !important;
    display: block;
    margin-top: 6px;
}
.expandButton:hover, .collapseButton:hover,
.expandButton:focus, .collapseButton:focus {
    text-decoration: none;
    color: white;
    background: var(--color-blue-light);
}
ds-themed-badges {
    height: 5px
}


/* in-page settings and dropdown menus */

.dropdown-menu {
    font-size: 1.25rem;
    top: 104% !important;
    border-radius: 0.5rem !important;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px !important;
}
#loginDropdownMenu .btn {
    background: var(--color-blue-med);
    color: white;
}

/* background color of search box */

form > input[type=text][_ngcontent-dspace-angular-c155]:focus {
    background-color: #fff !important;
}

/* force hover color on search icon when focused so it doesn't disappear */

form > input[type=text][_ngcontent-dspace-angular-c155]:focus ~ .submit-icon {
    color: var(--ds-header-icon-color-hover);
}

/* make navbar background white */

nav.navbar {
    background: #fff;
}

/* scoot navbar items left when not animating open for alignment with header */

nav.navbar:not(.open):not(.ng-animating) {
    margin-left: 18px;
}

/* make all main sections white background with border radius */

main .container:not(.breadcrumb) {
    background: #fff;
    padding: 2rem 30px;
    border-radius: 1rem;
    margin-bottom: 3rem;
}
@media (max-width: 768px) {
    main .container:not(.breadcrumb) {
        margin-bottom: 0;
    }
    ds-view-mode-switch .btn {
        border-radius: 5px;
    }
}

/* breadcrumb styling */

main .breadcrumb {
    padding: 1.5rem 1.75rem 2rem;
    font-family: 'greycliff_semibold';
    font-size: 1.125rem;
}
.breadcrumb {
    padding: 0.75rem 32px !important;
    font-size: 15px;
    font-family: 'greycliff_semibold';
}
.breadcrumb a {
    color: var(--color-blue-dark) !important;
}

/* breadcrumb link colors */

main .breadcrumb a,
li.breadcrumb-item.active * {
    color: var(--color-blue-dark) !important;
}

/* files look like buttons with gold download icon */

ds-file-download-link a {
    background: var(--color-blue-med);
    color: #fff;
    padding: 0.75rem 1.25rem;
    display: inline-block;
    border-radius: 1rem;
    text-decoration: none;
    margin-right: 20px;
}

ds-file-download-link a:is(:hover, :focus) {
    background: var(--color-blue-light);
    color: #fff;
    text-decoration: none;
}

ds-file-download-link a:before {
    content: "\279C";
    transform: rotate(90deg);
    display: inline-block;
    color: var(--color-gold);
}

/* login */
#header-right {
    gap: 12px;
}


/* menu links */
.nav_subheader a[aria-label='Home'],
.nav_subheader img#header-logo {
    display: none !important;
}

nav#desktop-navbar #main-site-navigation {
    gap: 0;
    margin-left: -16px;
}

#collapsingNav .nav-link,
nav#desktop-navbar #main-site-navigation .ds-menu-item-wrapper {
    display: block;
    padding: 1rem 1.25rem !important;
    font-family: 'greycliff_semibold';
    color: var(--color-blue-med) !important;
    font-size: 1.25rem;
    text-transform: uppercase;
    border: 2px solid transparent;
    border-radius: 0.75rem;
}
nav#desktop-navbar #main-site-navigation .dropdown-menu .ds-menu-item {
    
}
nav#desktop-navbar #main-site-navigation .dropdown-menu .ds-menu-item:hover {
    background: var(--color-gold-pale);
}
[_nghost-dspace-angular-c335] nav#desktop-navbar #main-site-navigation .ds-menu-item,
[_nghost-dspace-angular-c374] nav#desktop-navbar #main-site-navigation .ds-menu-item {
    color: var(--color-blue-med) !important;
}

#collapsingNav .nav-link:hover,
nav#desktop-navbar #main-site-navigation .ds-menu-item-wrapper:hover {
    border-color: var(--color-blue-light);
    border-radius: 0;
    border-color: transparent;
    border-bottom-color: var(--color-gold);
}

#collapsingNav .nav-link:focus,
nav#desktop-navbar #main-site-navigation .ds-menu-item-wrapper:focus {
    outline: var(--color-blue-med);
    background: var(--color-blue-med);
    color: #fff !important;
}

[_nghost-dspace-angular-c46] .dropdown-menu[_ngcontent-dspace-angular-c46] {
    margin-top: 2px !important;
    padding: 0 !important;
    left: -6px;
    border-color: #B9B9B9;
}
[_nghost-dspace-angular-c46] .dropdown-menu[_ngcontent-dspace-angular-c46] a {
    padding: 8px 20px !important;
}
[_nghost-dspace-angular-c46] .dropdown-menu[_ngcontent-dspace-angular-c46] a:hover,
[_nghost-dspace-angular-c46] .dropdown-menu[_ngcontent-dspace-angular-c46] a:focus-visible {
    background: var(--color-gold-pale) !important;
}

/* default submenu left margin indent on mobile */

.open .dropdown-menu[_ngcontent-dspace-angular-c166] a.nav-link {
    margin-left: var(--bs-spacer);
}

/* mobile menu button */

.navbar-light .navbar-toggler {
    color: #fff;
    background-color: var(--color-blue-light);
    border-color: var(--color-blue-dark);
    border-color: transparent;
    font-size: 1.5rem;
    padding: 0.5rem 0.625rem;
    border-radius: 0.5rem;
}
button#navbar-toggler, .loginLink {
    color: var(--color-blue-med) !important;
}

/* submenu on desktop, "open" class means mobile */

.navbar:not(.open) ul.dropdown-menu {
    position: absolute;
    left: -1rem;
    top: calc(100%);
    background: #fff;
    border-radius: 1rem !important;
    width: calc(12rem + 10vw);
    width: 25rem;
    padding: 1rem;
    transition: 0.3s ease left;
    letter-spacing: -0.0125vmax;
    z-index: 1;
    overflow: visible;
    box-shadow: 0 1px 5px rgb(0 0 0 / 40%) !important;
    height: auto;
    flex-direction: column;
}
nav#collapsible-mobile-navbar {
    box-shadow: 0 1px 5px rgb(0 0 0 / 40%) !important;
    background: var(--color-gold-pale);
}
@media screen and (max-width: 767px) {
    nav.nav-breadcrumb {
        padding-top: 0 !important;
    }
}

/* main menu hover yellow border */

.navbar:not(.open) .navbar-nav [class*="navbar-section"] > .ng-star-inserted > a.nav-link:hover,
.navbar:not(.open) .navbar-nav [class*="navbar-section"] > a.nav-link:hover {
    border-color: #fff !important;
    border-bottom-color: var(--color-gold) !important;
    border-radius: 0 !important;
}

/* submenu top and bottom spacing margins */

.navbar.open .navbar-nav,
.navbar.ng-animating .navbar-nav {
    margin: 1rem 0;
}


/* admin sidebar */
#admin-sidebar {
    margin: 0;
}
#admin-sidebar h4 {
    color: white;
}
ds-profile-page .card-body {
    background: white;
}
ds-my-dspace-page ds-base-my-dspace-page>div.container {
    padding: 0 !important;
}

/* Search filter options not showing due to white color on white bg */
.search-filter-wrapper .filters a {
    color: var(--color-blue-med) !important;
    cursor: pointer;
    text-decoration: none;
}
ds-search-sidebar .search-filter-wrapper .filters .toggle-more-filters>a,
#show-subject-tree {
    padding: 2px 12px 3px;
    background: var(--color-blue-med);
    color: white !important;
    border-radius: 10rem;
    font-size: 12px;
    text-decoration: none !important;
    margin-top: 7px;
    display: flex;
    width: fit-content;
}
ds-search-sidebar .search-filter-wrapper .filters .toggle-more-filters>a:hover,
#show-subject-tree:hover {
    background: var(--color-blue-light);
}
ds-base-search-sidebar .facet-filter .h4 {
    line-height: 1;
}
label .filter-value {
    color: #343a40;
}
ds-search-filter {
    font-size: 15px;
}
ds-sidebar-dropdown .form-select {
    background-color: white!important;
}
.filter-checkbox {
    margin-top: 6px !important;
}
.facet-filter .form-control, .facet-filter .form-control:focus,
.setting-option .form-control, .setting-option .form-control:focus {
    background: white;
    background-color: white !important;
}
.badge {
    display: flex;
    align-items: center;
}
.badge[aria-label*="Remove filter"] {
    padding: 4px 20px 4px 8px;
    background-color: var(--color-gold-pale) !important;
    color: var(--color-blue-dark);
    position: relative;
    text-decoration: none;
}
.badge[aria-label*="Remove filter"] > span > .ps-1 {
    font-size: 26px;
    height: 0;
    position: absolute;
    top: -5.5px;
    right: 4px;
}


/* UD header needs to be centered vertically */
.ud__header {
    align-items: center;
}

/* this overrides the subheader background to take the whole width */

#header .ud__subheader-wrap {
    background: var(--color-blue-dark);
    border-top: 2px solid var(--color-gold);
    line-height: 1;
}

/* removes the top border from the subheader, since it's already on the wrap */

#header .ud__subheader {
    border-top: none;
}

.ud__header {
    background: #00539f;
    height: 9rem;
    display: flex;
    justify-content: space-between;
}

.ud__header-homelink {
    height: 100%;
    margin: 0 1.5rem;
    display: inline-block;
}

.ud__header-homelink img {
    height: 100%;
    padding: 1.5rem 0;
}

.ud__subheader {
    background: #003c71;
    display: flex;
    font-size: 1.375rem;
    letter-spacing: 0.1rem;
    padding: 1rem 1.5rem;
    align-items: center;
    border-top: 2px solid #ffd200;
}

.ud__subheader a {
    color: #fff;
    font-family: 'greycliff_semibold';
    text-decoration: none;
    text-transform: uppercase;
}

a.ud__subsite-link {
    color: #ffd200;
}

.ud__subheader-divider {
    border-left: 1px solid #ffd200;
    margin: 0 0.875rem;
    height: 1.5rem;
}

.ud__full-width-padding {
    padding-left: 1.375rem;
    padding-right: 1.375rem;
}

/* search box force white background instead of the weird 50% opacity default */

input[type=text][name=query]:focus {
/*    background-color: #ffffff !important;*/
}


.ud__header .container {
  	height: 100%;
}

.ud__header-homelink {
  	margin: 0 1.5rem !important;
  	padding: 0;
}

.ud__header-homelink img {
  	height: 100% !important;
}

nav.navbar.navbar-expand {
  	height: 4.25rem;
  	margin: 0;
  	background: #fff;
	border: 0;
}

.navbar a.navbar-brand {
  	display: none;
}

.navbar-nav {
	text-transform: uppercase;
	font-size: 1.25rem;
	color: var(--color-blue-dark);
}

[_nghost-dspace-angular-c370] nav#desktop-navbar #main-site-navigation .ds-menu-item, 
[_nghost-dspace-angular-c370] nav#desktop-navbar #main-site-navigation .ds-menu-toggler-wrapper {
	color: var(--color-blue-dark) !important;
}

/* UD LIBRARY FOOTER SYLES */

#ud-library-footer .container.footer-library,
.footer-library .container.footer-library {
  padding: 0;
}

#ud-library-footer ul,
.footer-library ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#footer-subscribe input[type=submit] {
  background: var(--color-blue-med);
  border: 0;
  color: #fff;
}

#footer-subscribe input[type=submit]:hover {
  background: var(--color-blue-light);
}

.udLogo_footer a {
  background-image: url("https://library.udel.edu/static/img/ud-logo-192.png");
  height: 128px;
  width: 128px;
  background-size: cover;
  display: block;
}

.udFooterSocial-icons {
  margin-top: 1rem;
}

.udFooterSocial-icons a {
  background-image: url("https://library.udel.edu/static/img/social-icons-48.png");
  background-size: cover;
  display: block;
  width: 100%;
  height: 100%;
}

.udFooterSocial-icons a.foot-twi {
/*  background-position-x: 0;*/
	background-position-x: 80%;
}

.udFooterSocial-icons a.foot-fb {
  background-position-x: 20%;
}

.udFooterSocial-icons a.foot-ins {
/*  background-position-x: 40%;*/
	background-position-x: 0;
}

.udFooterSocial-icons a.foot-yt {
  background-position-x: 60%;
}

.udFooterSocial-icons a.foot-pin {
/*  background-position-x: 80%;*/
	background-position-x: 100%;
}

.udFooterSocial-icons a.foot-li {
/*  background-position-x: 100%;*/
	background-position-x: 40%;
}

.udFooterSocial-icons li {
  display: inline-block;
  width: 2rem;
  height: 2rem;
}

.udFooterSocial-icons img {
  object-fit: contain;
}





/* UD UNIVERSITY Footer copied and pasted 20220401 */

footer#udFooter {
	width: 100%;
	margin-top: 0px;
	background-color: #fff;
	border-top: 0.25rem solid var(--color-gold);
	clear: both;
}

footer#udFooter .udFooter-container {
    max-width: 100rem;
    width: 100%;
    margin: auto;
    position: relative;
}

footer#udFooter .udLogo_footer {
    position: absolute;
    top: -4rem;
    left: 0;
    z-index: 2;
}

footer#udFooter .udLogo_footer img {
    width: 10rem;
}

footer#udFooter .udFooterHeader span {
    margin-left: 12.5rem;
    margin-top: 0px;
    float: left;
}

footer#udFooter .udFooterSocial-icons {
    padding: 0px 0 0 0;
    list-style: none;
    float: right;
}

footer#udFooter .udFooterSocial-icons ul {
    padding: 0 0.5rem 0 0;
    margin: 0;
}

footer#udFooter .udFooterSocial-icons ul li {
    padding: 0;
		display: inline-block;
		margin-right: 1rem;
		width: 2rem;
		height: 2rem;
		padding-left: 0;
}

footer#udFooter .udFooterSocial-icons img {
		height: 1.75rem;
		width: 1.75rem;
		object-fit: contain;
}

footer#udFooter .udFooterLinks {
    width: 100%;
    margin: 10rem auto 0 auto;
    background-color: #eee;
    clear: both;
}

footer#udFooter .udFooterLinks div {
  	font-family: 'greycliff_semibold', Arial, sans-serif;
  	font-size: 1rem;
  	color: #555;
  	margin: auto;
  	text-align: center;
}

footer#udFooter .udFooterLinks div a {
    color: var(--color-blue-med);
}

footer#udFooter .link-item {
    padding: 0 0.25rem;
    display: inline-block;
    margin: auto;
}

footer#udFooter .container-fluid {
    width: 80%;
    text-align: center;
    padding: 1rem 0;
}









/* ================================================================================ */
/*                                                          max-width: 1200         */
/* ================================================================================ */

@media only screen and (max-width: 1200px) {
  	footer#udFooter .udLogo_footer {
        left: 1.25rem;
    }

  	footer#udFooter .udFooterHeader span {
        margin-left: 13.5rem;
    }
}





/* ================================================================================ */
/*                                                          max-width: 1024         */
/* ================================================================================ */

@media screen and (max-width: 1024px) {
    .footer-library__menu-item,
    .footer-li {
        flex-basis: 50%;
    }
}





/* ================================================================================ */
/*         min-width: 768                                                           */
/* ================================================================================ */

@media screen and (min-width: 768px) {

	/* side spacing on menu items on mobile */

    .navbar-expand-md .navbar-nav .nav-link {
        padding-right: 1.25rem;
        padding-left: 1.25rem;
    }

	a.ud__library-link {
    	margin-left: 1.25rem;
	}

	.nav_subheader a,
	[ngbdropdown] > a.dropdown-toggle {
		color: var(--color-blue-med) !important;
	}
}





/* ================================================================================ */
/*                                                          max-width: 767          */
/* ================================================================================ */

@media screen and (max-width: 767px) {
	#header .ud__header {
		height: 6rem;
	}

	#header .ud__header-homelink {
    	margin: 0 !important;
	}

	#header .ud__header-homelink img {
		padding: 1rem 0;
	}
    
    .ml-auto {
        top: -7.5rem;
    }
    
    ds-lang-switch a {
        color: #fff;
    }
    
    ds-themed-auth-nav-menu a {
        color: #fff;
    }

    ds-lang-switch a:hover {
        color: var(--color-blue-light);
    }
    
    ds-themed-auth-nav-menu a:hover {
        color: var(--color-blue-light);
    }

    .display-3 {
        margin-top: 2rem;
        font-size: calc(1.575rem + 2.9vw);
    }
/*
    #header .ud__subheader {
        flex-wrap: wrap;
    }

    #header .ud__subheader-divider {
        flex-basis: 100%;
        height: 0;
        visibility: hidden;
    }

	header.header.nav_subheader {
    	top: -4.75rem;
		height: 4.75rem;
    	background: transparent;
    	position: relative;
	}

	.nav_subheader .navbar {
    	height: 100%;
	}

	.nav_subheader a {
		color: #fff;
	}
*/
    
	.main-content {
/*    	margin-top: -1rem;*/
		margin-top: 6px;
	}

    nav.nav-breadcrumb {
        padding-top: 2rem;
    }
    
  	footer#udFooter .udFooterSocial-icons {
        float: right;
        margin-left: 10rem;
        margin-top: 1.25rem;
    }

  	footer#udFooter .udFooterLinks {
        margin-top: 10rem;
    }
    .nav_subheader input[type=text][name=query]:focus + a {
        position: fixed;
        right: 2.25rem;
        top: 2rem;
        color: var(--color-blue-med);
    }

    .nav_subheader input[type=text][name=query]:focus {
        background-color: #ffffff !important;
        position: fixed !important;
        left: 0;
        top: 0;
        height: 4rem;
        width: calc(100% - 2rem) !important;
        margin: 1rem;
        padding: 0.5rem 1rem !important;
    }

    .nav_subheader input[type=text][name=query]:focus + a .fa-search:before {
        content: "\f061" !important;
    }

    header .navbar-navigation>li {
        display: list-item;
        height:auto;
    }

    nav.navbar.navbar-expand {
        margin-top: -12px;
    }
    
    nav.navbar.navbar-expand.open {
        height:auto !important;
        margin-top: -12px;
		z-index: 20;
		min-height: auto!important;
    }
}





/* ================================================================================ */
/*                                                          max-width: 640          */
/* ================================================================================ */

@media screen and (max-width: 640px) {
    .footer-library__info,
    .foot-lib-title {
        flex-basis: 100%;
    }

    .footer-library__menu,
    .footer-section {
        flex-basis: 100%;
        padding: 3rem 3rem 1rem;
    }

    .footer-library__subscribe,
    #footer-subscribe {
        min-width: unset;
        flex-basis: 100%;
        border-radius: 0;
        margin: 3rem 0 0;
        padding: 3rem 3rem 7rem;
    }


    /* UD standard footer code */
    footer#udFooter ul {
        padding: 0;
    }

    footer#udFooter .udLogo_footer {
        position: relative;
        width: 100%;
        display: block;
        left: 0 !important;
        left: 50% !important;
        transform: translateX(-50%) !important;
        text-align: center;
    }

    footer#udFooter .udFooterSocial-icons {
        position: absolute;
        float: none !important;
        margin: 0 !important;
        padding: 0 !important;
        top: 88px;
        top: 40px;
        width: 100%;
        text-align: center;
    }

    footer#udFooter .udFooterSocial-icons li {
        margin: 0 7px !important;
    }

    footer#udFooter .udLogo_footer img {
        height: 75px !important;
        width: auto !important;
    }

    footer#udFooter .udLogo_footer a {
        height: 6rem;
        width: 6rem;
        display: inline-block;
    }

    footer#udFooter .udFooterHeader span {
        margin: 0 !important;
        float: none !important;
        display: block;
        text-align: center;
        padding-left: 5px;
    }

    footer#udFooter .udFooterHeader span img {
        width: 150px;
        margin-bottom: -45px;
    }

    footer#udFooter .udFooterLinks {
        margin-top: 95px;
    }

    footer#udFooter .container-fluid {
        width: 100% !important;
    }
}


/* ================================================================================ */
/*         min-width: 768                                                           */
/* ================================================================================ */
@media (max-width: 768px) {
    .container-md, .container-sm, .container {
        max-width: none;
    }
}

@media screen and (min-width: 577px) {

    .jumbotron {
        padding: 2rem 1rem;
    }
    
}



/* ================================================================================ */
/*                                                          max-width: 576          */
/* ================================================================================ */

@media screen and (max-width: 576px) {
    header.ud__header {
        height: 7rem;
        padding: 0;
    }

    .ml-auto {
        top: -9rem;
    }
    
}





/* ================================================================================ */
/*                                                          max-width: 480          */
/* ================================================================================ */

@media screen and (max-width: 480px) {
    .footer-library__menu-item,
    .footer-li {
        flex-basis: 100%;
        font-size: 1.5rem;
    }
    .footer-library__subscribe .mc-field-group,
    #footer-subscribe .mc-field-group {
        flex-wrap: wrap;
        line-height: 5rem;
        font-size: 1.5rem;
    }
    .footer-library__subscribe input[type="email"],
    #footer-subscribe input[type="email"] {
        flex-basis: 100%;
        margin: 0 0 1rem;
    }
}